Subject: Re: [PATCH] Documentation: extend guidance for submitting patches

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Fri, 06 Mar 2026 11:56:08 +0100

On Fri, Mar 6, 2026, at 02:48, Justin Tobler wrote:
> On 26/03/05 11:27PM, Kristoffer Haugsbakk wrote:
>> On Thu, Mar 5, 2026, at 20:38, Justin Tobler wrote:
>> > +It is also a good idea to check whether your topic has been discussed
>> > +previously on the mailing list,
>>
>> This is at the start of the document. “The mailing list” footnote
>> (git-ml) does not get mentioned until line 535.
>>
>> Although there is the initial mention of `MyFirstContribution` which
>> prominently features the address at the start.
>
> We also mention "the list" several times in the surround bullet points
> prior to the footnote too. If we think it matters I can move the
> footnote up.

Yeah that can be solved separately also. :)

>> > or whether similar work is already in
>> > +progress.  Prior discussions may contain useful context, design
>> > +considerations, or earlier attempts at solving the same problem. Being
>> > +aware of such discussions can help you avoid duplicating work and may
>> > +allow you to coordinate with other contributors working in the same
>> > +area.
>> > +
>>
>> This seems useful to cite. It seems less useful for people who go to the
>> effort of reading this file themselves. They presumably care enough to
>> try to get the procedural steps correct. It’s difficult to imagine that
>> they either think that their idea has to be unique or that there isn’t a
>> history.
>
> Ya, I agree that most folks who feel inclined to read this document
> proactively would likely also lookup previous/on-going mailing list
> discussions. I do think this would be useful though to include so we can
> point contributors this direction when needed.

That sounds good to me.